---
title: Sec-WebSocket-Accept
slug: Web/HTTP/Headers/Sec-WebSocket-Accept
tags:
  - Draft
  - HTTP
  - NeedsCompatTable
  - NeedsContent
  - Reference
  - Sec-WebSocket-Accept
  - WebSockets
  - header
---
<div>{{HTTPSidebar}}{{Draft}}</div>

<p>The <strong>Sec-WebSocket-Accept</strong> header is used in the websocket opening handshake. It would appear in the response headers. That is, this is header is sent from server to client to inform that server is willing to initiate a websocket connection.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Sec-WebSocket-Accept: &lt;hashed key&gt;</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;hashed key&gt;</dt>
 <dd>
 <p>The server takes the value of the Sec-WebSocket-Key sent in the handshake request, appends <code>258EAFA5-E914-47DA-95CA-C5AB0DC85B11</code>, takes SHA-1 of the new value, and is then <a href="/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding">base64</a> encoded.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Sec-WebSocket-Accept: s3pPLMBiTxaQ9kYGzzhZRbK+xOo=</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("6455", "Sec-WebSocket-Accept", "11.3.3")}}</td>
   <td>The WebSocket Protocol</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Sec-WebSocket-Key")}}</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Sec-WebSocket-Accept")}}</p>
